Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class RectangularArrayExamples

    java.lang.Object
      RectangularArrayExamples

    public class RectangularArrayExamples

extends java.lang.Object

Utility class that makes example rectangular java arrays of 2 and 3 dimensions for all primitive types, String and Point (as an example of array of non primitive object)

Constructor Summary
`RectangularArrayExamples()`

Method Summary
`static boolean[][]` | `getBooleanDoubleRectangularArrayExample()`
`static boolean[][][]` | `getBooleanTripleRectangularArrayExample()`
`static byte[][]` | `getByteDoubleRectangularArrayExample()`
`static byte[][][]` | `getByteTripleRectangularArrayExample()`
`static char[][]` | `getCharDoubleRectangularArrayExample()`
`static char[][][]` | `getCharTripleRectangularArrayExample()`
`static double[][]` | `getDoubleDoubleRectangularArrayExample()`
`static double[][][]` | `getDoubleTripleRectangularArrayExample()`
`static DummyPoint[][]` | `getDummyPointDoubleRectangularArrayExample()`
`static DummyPoint[][][]` | `getDummyPointTripleRectangularArrayExample()`
`static float[][]` | `getFloatDoubleRectangularArrayExample()`
`static float[][][]` | `getFloatTripleRectangularArrayExample()`
`static int[][]` | `getIntDoubleRectangularArrayExample()`
`static int[][][]` | `getIntTripleRectangularArrayExample()`
`static long[][]` | `getLongDoubleRectangularArrayExample()`
`static long[][][]` | `getLongTripleRectangularArrayExample()`
`static short[][]` | `getShortDoubleRectangularArrayExample()`
`static short[][][]` | `getShortTripleRectangularArrayExample()`
`static java.lang.String[][]` | `getStringDoubleRectangularArrayExample()`
`static java.lang.String[][][]` | `getStringTripleRectangularArrayExample()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RectangularArrayExamples

    public RectangularArrayExamples()

Method Detail

### getIntDoubleRectangularArrayExample

    public static int[][] getIntDoubleRectangularArrayExample()

### getBooleanDoubleRectangularArrayExample

    public static boolean[][] getBooleanDoubleRectangularArrayExample()

### getByteDoubleRectangularArrayExample

    public static byte[][] getByteDoubleRectangularArrayExample()

### getLongDoubleRectangularArrayExample

    public static long[][] getLongDoubleRectangularArrayExample()

### getShortDoubleRectangularArrayExample

    public static short[][] getShortDoubleRectangularArrayExample()

### getDoubleDoubleRectangularArrayExample

    public static double[][] getDoubleDoubleRectangularArrayExample()

### getCharDoubleRectangularArrayExample

    public static char[][] getCharDoubleRectangularArrayExample()

### getFloatDoubleRectangularArrayExample

    public static float[][] getFloatDoubleRectangularArrayExample()

### getStringDoubleRectangularArrayExample

    public static java.lang.String[][] getStringDoubleRectangularArrayExample()

### getDummyPointDoubleRectangularArrayExample

    public static DummyPoint[][] getDummyPointDoubleRectangularArrayExample()

### getIntTripleRectangularArrayExample

    public static int[][][] getIntTripleRectangularArrayExample()

### getBooleanTripleRectangularArrayExample

    public static boolean[][][] getBooleanTripleRectangularArrayExample()

### getByteTripleRectangularArrayExample

    public static byte[][][] getByteTripleRectangularArrayExample()

### getLongTripleRectangularArrayExample

    public static long[][][] getLongTripleRectangularArrayExample()

### getShortTripleRectangularArrayExample

    public static short[][][] getShortTripleRectangularArrayExample()

### getDoubleTripleRectangularArrayExample

    public static double[][][] getDoubleTripleRectangularArrayExample()

### getCharTripleRectangularArrayExample

    public static char[][][] getCharTripleRectangularArrayExample()

### getFloatTripleRectangularArrayExample

    public static float[][][] getFloatTripleRectangularArrayExample()

### getStringTripleRectangularArrayExample

    public static java.lang.String[][][] getStringTripleRectangularArrayExample()

### getDummyPointTripleRectangularArrayExample

    public static DummyPoint[][][] getDummyPointTripleRectangularArrayExample()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD